package com.utic.center.utic.traf.server.dao.repository.dwdb;

import com.utic.center.common.annotation.SqlOperation;
import com.utic.center.utic.traf.server.dao.mapper.dwdb.DwdbParamMapper;
import com.utic.center.utic.traf.server.dto.dwdb.ParamAnalysisType;
import com.utic.center.utic.traf.server.dto.dwdb.ParamHoliday;
import com.utic.center.utic.traf.server.dto.dwdb.ParamMissing;
import com.utic.center.utic.traf.server.dto.dwdb.ParamPatternEffectDay;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@RequiredArgsConstructor
public class DwdbParamRepository {

    private final DwdbParamMapper mapper;

    @SqlOperation(type = SqlOperation.SqlType.SELECT, table = "CODEDEFINE", param = "가공방식파라미터")
    public ParamAnalysisType findAnalysisType() {
        return this.mapper.findAnalysisType();
    }
    @SqlOperation(type = SqlOperation.SqlType.SELECT, table = "CODEDEFINE", param = "결측파라미터")
    public ParamMissing findMissing() {
        return this.mapper.findMissing();
    }
    @SqlOperation(type = SqlOperation.SqlType.SELECT, table = "CODEDEFINE", param = "패턴유효일")
    public ParamPatternEffectDay findPtrnEffectDays() {
        return this.mapper.findPtrnEffectDays();
    }
    @SqlOperation(type = SqlOperation.SqlType.SELECT, table = "HOLIDAY", param = "휴일정보")
    public ParamHoliday findHoliday(String ptrnTime) {
        return this.mapper.findHoliday(ptrnTime);
    }
    @SqlOperation(type = SqlOperation.SqlType.SELECT, table = "LINK,LOCAL_AREA", param = "결측대상링크")
    public List<String> findPtrnMissingLink() {
        return this.mapper.findPtrnMissingLink();
    }

}
